Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006748OCaml~DO NOT USE (was: OCaml general)public2015-01-12 14:532016-12-07 11:47
Reporterchambart 
Assigned Tofrisch 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version4.03.0+dev / +beta1 
Target Version4.03.0+dev / +beta1Fixed in Version4.03.0+dev / +beta1 
Summary0006748: Functional values in cmt files
DescriptionWhen building this file with -bin-annot, the compiler raises:

  Fatal error: exception Invalid_argument("output_value: functional value")

This was introduced by the commit: https://github.com/ocaml/ocaml/commit/9d450a05e0ab2f3fc2fe9ee97d66a7ff41ca29a9 [^]
( Replace TypedtreeMap with a more standard open-recursion iterator Tast_mapper. Keep TypedtreeMap/Iter for now, for external projects. )

module M = struct
  external init: unit -> unit = "some_stub"
end

module type T =
  sig
    val init : unit -> unit
  end

let m = (module M:T)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0013064)
gasche (administrator)
2015-01-12 15:54

We need a cmt-producing entry in the testsuite to catch such regressions earlier.
(0013081)
doligez (administrator)
2015-01-13 19:41

Why don't we build the whole system with -bin-annot by default?
(0013104)
frisch (developer)
2015-01-15 13:01

Well spotted. Thanks for the minimal repro case. Fixed in commit 15773.

> Why don't we build the whole system with -bin-annot by default?

Isn't it already the case? But compiling the compiler doesn't exercise all code paths in the compiler (in tast_iter for the current ticket).

- Issue History
Date Modified Username Field Change
2015-01-12 14:53 chambart New Issue
2015-01-12 15:54 gasche Note Added: 0013064
2015-01-12 16:38 frisch Assigned To => frisch
2015-01-12 16:38 frisch Status new => assigned
2015-01-13 19:41 doligez Note Added: 0013081
2015-01-14 00:13 doligez Target Version => 4.03.0+dev / +beta1
2015-01-15 13:01 frisch Note Added: 0013104
2015-01-15 15:04 frisch Status assigned => resolved
2015-01-15 15:04 frisch Fixed in Version => 4.03.0+dev / +beta1
2015-01-15 15:04 frisch Resolution open => fixed
2016-12-07 11:47 xleroy Status resolved => closed
2017-02-23 16:36 doligez Category OCaml general => -OCaml general
2017-03-03 17:55 doligez Category -OCaml general => -(deprecated) general
2017-03-03 18:01 doligez Category -(deprecated) general => ~deprecated (was: OCaml general)
2017-03-06 17:04 doligez Category ~deprecated (was: OCaml general) => ~DO NOT USE (was: OCaml general)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker